package com.ihaoin.hooloo.device.data.vo;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

public class Sku implements Serializable {

    /** sku id */
    private Integer skuId;
    /** 状态：0-售罄，1-可售 */
    private Integer state;
    /** 默认状态：0-否，1-是 */
    private Integer isDefault;
    /** 原价 */
    private BigDecimal price;
    /** 折扣价 */
    private BigDecimal discount;
    /** SKU规格 */
    private List<SkuRule> rules;

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public Integer getSkuId() {
        return skuId;
    }

    public void setSkuId(Integer skuId) {
        this.skuId = skuId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public List<SkuRule> getRules() {
        return rules;
    }

    public void setRules(List<SkuRule> rules) {
        this.rules = rules;
    }
}
